Skip to main content
Credential

归档 Credential

归档指定密钥库中的密钥

POST
/api/v1/agentstudio/vaults/{vault_id}/credentials/{credential_id}/archive
cURL
curl --request POST \
  --url 'https://{workspace_id}.{region}.maas.aliyuncs.com/api/v1/agentstudio/vaults/{vault_id}/credentials/{credential_id}/archive' \
  --header 'Authorization: Bearer <YOUR_API_KEY>'
{
  "id": "cred_xxx",
  "type": "credential",
  "name": "github-token",
  "credential_type": "oauth2",
  "metadata": {},
  "archived_at": "2026-07-25T10:00:00Z",
  "created_at": "2026-07-20T10:00:00Z",
  "updated_at": "2026-07-25T10:00:00Z",
  "request_id": "req_xxx"
}

Authorizations

string
header
required

DashScope API Key

Path Parameters

string
required

密钥库 ID

string
required

密钥 ID

Response

200-application/json
string

Credential ID

string

固定值 credential

string

密钥名称

string

密钥类型

object

自定义键值对

string

归档时间,ISO 8601

string

创建时间

string

更新时间

string

请求唯一标识

RAG API
Connector API
Memory API
框架集成
  • 框架